# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{deltacloud-core}
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Red Hat, Inc."]
  s.date = %q{2010-12-09}
  s.default_executable = %q{deltacloudd}
  s.description = %q{    The Deltacloud API is built as a service-based REST API.
    You do not directly link a Deltacloud library into your program to use it.
    Instead, a client speaks the Deltacloud API over HTTP to a server
    which implements the REST interface.
}
  s.email = %q{deltacloud-users@lists.fedorahosted.org}
  s.executables = ["deltacloudd"]
  s.extra_rdoc_files = ["COPYING"]
  s.files = ["Rakefile", "config.ru", "parse.rb", "test.rb", "deltacloud.rb", "server.rb", "support/fedora/rubygem-deltacloud-core.spec", "support/fedora/deltacloudd", "lib/sinatra/accept_media_types.rb", "lib/sinatra/respond_to.rb", "lib/sinatra/static_assets.rb", "lib/sinatra/url_for.rb", "lib/sinatra/lazy_auth.rb", "lib/sinatra/rabbit.rb", "lib/sinatra/rack_driver_select.rb", "lib/deltacloud/models/base_model.rb", "lib/deltacloud/models/blob.rb", "lib/deltacloud/models/bucket.rb", "lib/deltacloud/models/image.rb", "lib/deltacloud/models/instance_profile.rb", "lib/deltacloud/models/key.rb", "lib/deltacloud/models/realm.rb", "lib/deltacloud/models/storage_snapshot.rb", "lib/deltacloud/models/storage_volume.rb", "lib/deltacloud/models/load_balancer.rb", "lib/deltacloud/models/instance.rb", "lib/deltacloud/drivers/terremark/terremark_driver.rb", "lib/deltacloud/drivers/gogrid/gogrid_client.rb", "lib/deltacloud/drivers/gogrid/gogrid_driver.rb", "lib/deltacloud/drivers/opennebula/occi_client.rb", "lib/deltacloud/drivers/opennebula/cloud_client.rb", "lib/deltacloud/drivers/opennebula/opennebula_driver.rb", "lib/deltacloud/drivers/mock/mock_driver.rb", "lib/deltacloud/drivers/rimuhosting/rimuhosting_driver.rb", "lib/deltacloud/drivers/rimuhosting/rimuhosting_client.rb", "lib/deltacloud/drivers/rackspace/rackspace_driver.rb", "lib/deltacloud/drivers/rackspace/rackspace_client.rb", "lib/deltacloud/drivers/rhevm/rhevm_driver.rb", "lib/deltacloud/drivers/azure/azure_driver.rb", "lib/deltacloud/drivers/ec2/ec2_mock_driver.rb", "lib/deltacloud/drivers/ec2/ec2_driver.rb", "lib/deltacloud/base_driver/features.rb", "lib/deltacloud/base_driver/mock_driver.rb", "lib/deltacloud/base_driver/base_driver.rb", "lib/deltacloud/helpers/blob_stream.rb", "lib/deltacloud/helpers/conversion_helper.rb", "lib/deltacloud/helpers/hardware_profiles_helper.rb", "lib/deltacloud/helpers/application_helper.rb", "lib/deltacloud/backend_capability.rb", "lib/deltacloud/base_driver.rb", "lib/deltacloud/hardware_profile.rb", "lib/deltacloud/helpers.rb", "lib/deltacloud/method_serializer.rb", "lib/deltacloud/state_machine.rb", "lib/deltacloud/validation.rb", "lib/drivers.rb", "lib/deltacloud/drivers/mock/data/storage_volumes/vol1.yml", "lib/deltacloud/drivers/mock/data/storage_volumes/vol3.yml", "lib/deltacloud/drivers/mock/data/storage_volumes/vol2.yml", "lib/deltacloud/drivers/mock/data/storage_snapshots/snap3.yml", "lib/deltacloud/drivers/mock/data/storage_snapshots/snap1.yml", "lib/deltacloud/drivers/mock/data/storage_snapshots/snap2.yml", "lib/deltacloud/drivers/mock/data/images/img2.yml", "lib/deltacloud/drivers/mock/data/images/img3.yml", "lib/deltacloud/drivers/mock/data/images/img1.yml", "lib/deltacloud/drivers/mock/data/instances/inst1.yml", "lib/deltacloud/drivers/mock/data/instances/inst2.yml", "lib/deltacloud/drivers/mock/data/instances/inst0.yml", "lib/deltacloud/drivers/mock/data/buckets/blobs/blob1.yml", "lib/deltacloud/drivers/mock/data/buckets/blobs/blob2.yml", "lib/deltacloud/drivers/mock/data/buckets/blobs/blob3.yml", "lib/deltacloud/drivers/mock/data/buckets/blobs/blob4.yml", "lib/deltacloud/drivers/mock/data/buckets/blobs/blob5.yml", "lib/deltacloud/drivers/mock/data/buckets/bucket1.yml", "lib/deltacloud/drivers/mock/data/buckets/bucket2.yml", "views/instance_states/show.xml.haml", "views/instance_states/show.html.haml", "views/root/index.html.haml", "views/storage_volumes/show.html.haml", "views/storage_volumes/index.html.haml", "views/storage_volumes/index.xml.haml", "views/storage_volumes/show.xml.haml", "views/accounts/index.html.haml", "views/accounts/show.html.haml", "views/storage_snapshots/show.html.haml", "views/storage_snapshots/index.xml.haml", "views/storage_snapshots/index.html.haml", "views/storage_snapshots/show.xml.haml", "views/errors/not_found.html.haml", "views/errors/auth_exception.xml.haml", "views/errors/validation_failure.xml.haml", "views/errors/not_found.xml.haml", "views/errors/auth_exception.html.haml", "views/errors/validation_failure.html.haml", "views/errors/not_allowed.html.haml", "views/errors/not_allowed.xml.haml", "views/errors/backend_error.html.haml", "views/errors/backend_capability_failure.html.haml", "views/errors/backend_capability_failure.xml.haml", "views/errors/backend_error.xml.haml", "views/images/index.html.haml", "views/images/show.html.haml", "views/images/index.xml.haml", "views/images/show.xml.haml", "views/keys/new.html.haml", "views/keys/show.html.haml", "views/keys/index.html.haml", "views/keys/index.xml.haml", "views/keys/show.xml.haml", "views/instances/index.html.haml", "views/instances/new.html.haml", "views/instances/show.html.haml", "views/instances/index.xml.haml", "views/instances/show.xml.haml", "views/hardware_profiles/index.html.haml", "views/hardware_profiles/show.html.haml", "views/hardware_profiles/index.xml.haml", "views/hardware_profiles/show.xml.haml", "views/docs/operation.xml.haml", "views/docs/operation.html.haml", "views/docs/collection.xml.haml", "views/docs/index.xml.haml", "views/docs/index.html.haml", "views/docs/collection.html.haml", "views/realms/show.html.haml", "views/realms/index.html.haml", "views/realms/index.xml.haml", "views/realms/show.xml.haml", "views/blobs/new.html.haml", "views/blobs/show.html.haml", "views/blobs/show.xml.haml", "views/buckets/new.html.haml", "views/buckets/index.html.haml", "views/buckets/show.html.haml", "views/buckets/index.xml.haml", "views/buckets/show.xml.haml", "views/load_balancers/index.html.haml", "views/load_balancers/new.html.haml", "views/load_balancers/index.xml.haml", "views/load_balancers/show.html.haml", "views/load_balancers/show.xml.haml", "views/api/drivers.xml.haml", "views/api/show.html.haml", "views/api/show.xml.haml", "views/layout.html.haml", "views/instance_states/show.png.erb", "public/favicon.ico", "public/images/topbar-bg.png", "public/images/grid.png", "public/images/rails.png", "public/images/logo-wide.png", "public/javascripts/jquery-1.4.2.min.js", "public/javascripts/application.js", "public/stylesheets/compiled/ie.css", "public/stylesheets/compiled/print.css", "public/stylesheets/compiled/screen.css", "public/stylesheets/compiled/application.css", "bin/deltacloudd", "COPYING"]
  s.has_rdoc = true
  s.homepage = %q{http://www.deltacloud.org}
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.1")
  s.rubygems_version = %q{1.3.2}
  s.summary = %q{Deltacloud REST API}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rake>, [">= 0.8.7"])
      s.add_runtime_dependency(%q<haml>, [">= 2.2.17"])
      s.add_runtime_dependency(%q<sinatra>, [">= 0.9.4"])
      s.add_runtime_dependency(%q<rack>, [">= 1.0.0", "<= 1.1.0"])
      s.add_runtime_dependency(%q<rack-accept>, ["~> 0.4.3"])
      s.add_runtime_dependency(%q<json>, [">= 1.1.9"])
      s.add_development_dependency(%q<compass>, [">= 0.8.17"])
      s.add_development_dependency(%q<nokogiri>, [">= 1.4.1", "< 1.4.4"])
      s.add_development_dependency(%q<rack-test>, [">= 0.5.3"])
      s.add_development_dependency(%q<cucumber>, [">= 0.6.3"])
      s.add_development_dependency(%q<rcov>, [">= 0.9.8"])
    else
      s.add_dependency(%q<rake>, [">= 0.8.7"])
      s.add_dependency(%q<haml>, [">= 2.2.17"])
      s.add_dependency(%q<sinatra>, [">= 0.9.4"])
      s.add_dependency(%q<rack>, [">= 1.0.0", "<= 1.1.0"])
      s.add_dependency(%q<rack-accept>, ["~> 0.4.3"])
      s.add_dependency(%q<json>, [">= 1.1.9"])
      s.add_dependency(%q<compass>, [">= 0.8.17"])
      s.add_dependency(%q<nokogiri>, [">= 1.4.1", "< 1.4.4"])
      s.add_dependency(%q<rack-test>, [">= 0.5.3"])
      s.add_dependency(%q<cucumber>, [">= 0.6.3"])
      s.add_dependency(%q<rcov>, [">= 0.9.8"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0.8.7"])
    s.add_dependency(%q<haml>, [">= 2.2.17"])
    s.add_dependency(%q<sinatra>, [">= 0.9.4"])
    s.add_dependency(%q<rack>, [">= 1.0.0", "<= 1.1.0"])
    s.add_dependency(%q<rack-accept>, ["~> 0.4.3"])
    s.add_dependency(%q<json>, [">= 1.1.9"])
    s.add_dependency(%q<compass>, [">= 0.8.17"])
    s.add_dependency(%q<nokogiri>, [">= 1.4.1", "< 1.4.4"])
    s.add_dependency(%q<rack-test>, [">= 0.5.3"])
    s.add_dependency(%q<cucumber>, [">= 0.6.3"])
    s.add_dependency(%q<rcov>, [">= 0.9.8"])
  end
end
